Search Results for

Show / Hide Table of Contents

# Class TableView.RowColorGetterArgs

Arguments for TableView.RowColorGetterDelegate. Describes a row of data in a System.Data.DataTable for which ColorScheme is sought.

##### Inheritance

System.Object
TableView.RowColorGetterArgs

##### Inherited Members

System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.ToString()

###### Namespace: Terminal.Gui

###### Assembly: Terminal.Gui.dll

##### Syntax

    public class RowColorGetterArgs

### Properties

#### RowIndex

The index of the row in Table for which color is needed

##### Declaration

    public int RowIndex { get; }

##### Property Value

Type | Description
--- | ---
System.Int32 |

#### Table

The data table hosted by the TableView control.

##### Declaration

    public DataTable Table { get; }

##### Property Value

Type | Description
--- | ---
System.Data.DataTable |